# My SEO Tools

**My SEO Tools** is a simple but powerful Python SEO toolkit that helps developers and analysts quickly audit websites using the command line.  
It supports meta tag checks, image audits, keyword density analysis, and more.

---

## 🚀 Features

- ✅ Meta tag extractor (`title`, `description`)
- 🔗 Broken link checker (internal & external)
- 🧠 Keyword density analyzer
- 🏷️ Entity extraction using spaCy
- 📎 Canonical & Open Graph tag validator
- 🖼️ Image audit (missing `alt`, large file sizes, preload recommendations)
- 📤 Export results to **CSV** or **JSON**

---

## 📦 Installation

```bash
pip install myseotools
